Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416352 - [Admin portal] Creation Date, Export Date are sorted incorrectly - not by time but alphabetically
Summary: [Admin portal] Creation Date, Export Date are sorted incorrectly - not by tim...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.0.7
: ---
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1398579
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 10:44 UTC by Tal Nisan
Modified: 2017-02-23 12:55 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1398579
Environment:
Last Closed: 2017-02-23 12:55:27 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
screen shot (229.28 KB, image/png)
2017-02-16 15:32 UTC, Kevin Alon Goldblatt
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 67377 0 None None None 2017-01-25 10:44:04 UTC
oVirt gerrit 67410 0 None None None 2017-01-25 10:44:04 UTC

Description Tal Nisan 2017-01-25 10:44:04 UTC
+++ This bug was initially created as a clone of Bug #1398579 +++

Description of problem:

Creation Date, Export Date are sorted incorrectly - not by time but alphabetically. This causes sorted list to be useless, eg:

V Creation Date:

- Sep 11, 2013 2:59:46 PM
- ...
- Oct 20, 2011 3:26:15 PM
- ...
- May 25, 2016 1:57:33 PM

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.0.5.5-0.1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. do to a export domain
2. go to VM Import subtab
3. check Creation|Export Data sorting

Actual results:
logical time is sorted alphabetically

Expected results:
should be sorted by time

Additional info:
check how Time column is sorted in Events tabs, there it looks OK

--- Additional comment from Sandro Bonazzola on 2017-01-25 09:55:50 IST ---

4.0.6 has been the last oVirt 4.0 release, please re-target this bug.

Comment 1 Kevin Alon Goldblatt 2017-02-16 15:31:29 UTC
Tested with the following code:
----------------------------------------
ovirt-engine-4.0.7-0.1.el7ev.noarch
rhevm-4.0.7-0.1.el7ev.noarch
vdsm-4.18.22-1.el7ev.x86_64

Tested the following scenario:
----------------------------------------
Created several Vm's with at different times and with different names
Checked the sorting the the Export domain -> Import VM tab >>>> The vms are sorted alphabetically and not by date



See attached screen shot

Moving to ASSIGNED

Comment 2 Kevin Alon Goldblatt 2017-02-16 15:32:41 UTC
Created attachment 1250894 [details]
screen shot

Attached screen shot


Note You need to log in before you can comment on or make changes to this bug.